<?php
namespace Teknisa\FAC\Authentication;

use Zeedhi\Framework\DTO\Request;

class AuthListener extends  \Zeedhi\Framework\Events\PreDispatch\Listener {
    protected $authenticator;

    public function __construct($authenticator) {
        $this->authenticator  = $authenticator;
    }

    public function preDispatch(Request $request) {
        $this->authenticator->run($request);
    }
}