<?php
namespace Teknisa\FAC\Controllers;

use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\Report\Strategy\BirtStrategy;
use Zeedhi\Framework\DTO;

class FaturamentoDoServico extends \Zeedhi\Framework\Controller\Report {

    protected $reportMapping = array (
        'FAC28500' => array (
            'strategy' => 'BIRT',
            'parameterMapping' =>
            array (
              "DATAINI"          =>"DATAINI",
              "DATAFIN"          =>"DATAFIN",
              "CDCIA"            =>"CDCIA",
              "CDFILIAL"         =>"CDFILIAL",
              "NRORG"            =>"NRORG",
              "NRSERVICOCIAFILI" =>"NRSERVICOCIAFILI"
            )
        )
    );
}